#生产商
##查询项目下的资产[辅助服务接口]
    http://<host>:<port>/venders-dp/manufacturer/property/query  
post体：
    
    {
        "venderId":"",      //必填，厂商id
        "projectId":""      //必填，项目id
    }  
    
返回：

    {
        "result":"success",
        "resultMsg":"",
        "content":[
            {
                "id":"",                    // 资产id
                "infos":{
                    "EquipLocalName":"",    // 本地名称
                    "EquipLocalId":"",      // 本地编码
                    "Brand":"",             // 品牌
                    "Product":"",           // 产品名
                    "Specification":"",     // 型号
                    "Pic":"",               // 正面照名称，根据名称去图片服务中获取
                    "Nameplate":"",         // 名牌照片名称，同正面照
                    "ProductDate":"",       // 生产日期
                    "SerialNum":""          // 出厂编号                
                }
            }
        ]        
    }    

#供应商
##查询项目下的资产[辅助服务接口]
    http://<host>:<port>/venders-dp/supplier/property/query    
post体：
    
    {
        "venderId":"",              // String, 必填, 维修商Id
        "projectId":""              // String, 必填, 项目id  
    } 
返回：

    {
        "result":"success",
        "resultMsg":"",
        "content":[
            {
                "id":"",
                "infos":{
                    "EquipLocalName":"",    // 本地名称
                    "EquipLocalId":"",      // 本地编码
                    "Brand":"",             // 品牌
                    "Product":"",           // 产品名
                    "Specification":"",     // 型号
                    "PurchasePrice":"",     // 采购价格
                    "Warranty":"",          // 保修期
                    "ProductDate":"",       // 生产日期
                    "SerialNum":"" ,        // 出厂编号   
                    "SupplierContractID":"" // 供应合同编号                   
                }
            }
        ]
    }
    
    {
        "result":"failure",
        "resultMsg":"***"
    }
## 获取指定供应商在指定项目内的所有供应合同编号(从数据平台实时获取)
    http://<host>:<port>/venders-dp/supplier/contract/query
post体：
    
    {
        "projectId":"",             // String, 必填, 项目id  
        "venderId":"",              // String, 必填, 供应商id
    }
返回：

    {
        "result":"success",
        "resultMsg":"",
        "contract":["", "", "", ""]
    }
    
    {
        "result":"failure",
        "resultMsg":"***"
    }
#保险商
##获取在保资产清单[辅助服务接口]
    http://<host>:<port>/venders-dp/insurance/project/query     
post体：
    
    {
        "venderId":"",               //String,必填,保险商Id
        "projectId":""               // String 必填, 数据平台项目id
    }
    
返回：

    {
        "result":"success",
        "resultMsg":"",
        "content":[
            {
                "id":"**********",       // 该资产在数据平台的id
                "infos":{
                    "EquipLocalName":"***",                   // 本地名称(信息点均为数据平台资产的信息点)
                    "********":"*****",          // 
                    ......
                }
            },.......        
        ]
    }
    
    {
        "result":"failure",
        "resultMsg":"***"
    }
##获取所有保单列表[辅助服务接口]
    http://<host>:<port>/venders-dp/insurance/contract/query     
post体：
    
    {
        "venderId":"",               //String,必填,保险商Id
        "projectId":""               //String, 必填, 项目id
    }
    
返回：

    {
        "result":"success",
        "resultMsg":"",
        "content":[
            {
                "insuranceNo":"***",                   // 保单Id
                "expireDate":"*****",          // 截止日期
                "propertyCount":10,              // 保单内资产数量
                "insuranceFile":"****"           // 保险文件key
            },.......        
        ]
    }
    
    {
        "result":"failure",
        "resultMsg":"***"
    }

##根据保单获取资产[辅助服务接口]
    http://<host>:<port>/venders-dp/insurance/contract/property/query     
post体：
    
    {
        "venderId":"",             //String,必填,保险商Id
        "projectId":"",            //String 必填, 项目Id 
        "insuranceNo":""              //String,必填,保单编号
    }
    
返回：

    {
        "result":"success",
        "resultMsg":"",
        "content":[
            {
                "id":"****",         // 资产的id
                "infos":{            // 信息点
                    "EquipLocalName":"",        // 资产本地名称
                    "EquipLocalId":"",          // 资产本地编码
                    "Brand":"",                 // 品牌
                    "Product":"",               // 产品名
                    "Specification":"",         // 型号
                }
            },......
        ]
    }   
    
    {
        "result":"failure",
        "resultMsg":"***"
    }
    
#维修商
##查询指定项目内合同有效期内的设备[辅助服务接口]
    http://<host>:<port>/venders-dp/maintainance/property/query
post体：
    
    {
        "venderId":"****",             // String, 必填, 维修商Id
        "projectId":"*****",          // String, 必填, 项目id
        // expire字段已废弃, 使用接口时可不填, 查询历史维护设备请使用venders-dp/maintainance/property/history/query
        // "expire":true                   //Boolean, 必填. true 查询维护合同过期资产, false 查询在维护期的资产
    }
    
返回：

    {
        "result":"success",
        "resultMsg":"",
        "content":[
            {
                "id":"****",                 //资产id
                "infos":{
                    "EquipLocalName":"",               // 本地名称
                    "EquipLocalId":"",               // 本地编码
                    "Brand":"",                   // 品牌
                    "Product":"",                 // 标牌名
                    "Specification":"",           // 型号
                    "MaintainDeadline":"",              // 合同截止日期
                    "MaintainPeriod":100                   // 保养周期
                }
            },........
        ]
    }
    
    {
        "result":"failure",
        "resultMsg":"***"
    }
##查询指定项目内历史维护资产[辅助服务接口]
    http://<host>:<port>/venders-dp/maintainance/property/history/query
post体：
    
    {
        "venderId":"****",             // String, 必填, 维修商Id
        "projectId":"*****",          // String, 必填, 项目id
    }
    
返回：

    {
        "result":"success",
        "resultMsg":"",
        "content":[
            {
                "id":"****",                 //资产id
                "hasMaintainer":true|false,    // 是否其他厂商正在维保
                "infos":{
                    "EquipLocalName":"",               // 本地名称
                    "EquipLocalId":"",               // 本地编码
                    "Brand":"",                   // 品牌
                    "Product":"",                 // 标牌名
                    "Specification":"",           // 型号
                    "MaintainDeadline":"",              // 合同截止日期
                    "MaintainPeriod":100                   // 保养周期
                }
            },........
        ]
    }
    
    {
        "result":"failure",
        "resultMsg":"***"
    }
# 统计数据平台数据
##按项目更新资产统计数据

    http://<host>:<port>/venders-dp/project/sync

post体：

    {
        "project":[
            "Pj1101080001",
            "Pj1101080002"
        ]
    }
    
##更新所有项目资产统计数据

    http://<host>:<port>/venders-dp/project/sync_all

post方法, 不需要传Post数据：

##更新项目名称接口
    http://<host>:<port>/venders-dp/project/sync_name
post:无


## 根据项目id获取项目名称

    http://<host>:<port>/venders-dp/project/names/query

post体：

    {
        "project":[
            "Pj1101080001"
        ]
    }
返回:
    
    {
        "result": "success",
        "count": 1,
        "content": [
            {
                "name": "广联达测试",
                "id": "Pj1101080001"
            }
        ],
        "resultMsg": ""
    }
    {
        "result":"failure",
        "resultMsg":"***"
    }
    
 
# 查询数据平台数据

##查询项目下所有设备包含的保单

    http://<host>:<port>/venders-dp/getInsuranceNum?projectId=Pj110108****&secret=***
    
post体：

    {
    	"DPInsurerID":"V0a6a643c9c6311e8b4acf9fa5a3bd22f"
    }

返回:
 
    {
        "result": "success",
        "content": [
            {
                "InsuranceNum": "1234",
                "InsuranceFile": {
                    "name": "",
                    "type": "image",
                    "key": ""
                }
            }
        ],
        "resultMsg": ""
    }
    
##查询项目下所有设备包含供应合同号

    http://<host>:<port>/venders-dp/getSupplierContractID?projectId=Pj110108****&secret=***
    
post体：

    {
    	"DPSupplierID":"V5593c8928a2d11e8a8c0b5b15b013d50"
    }

返回:
 
    {
        "result": "success",
        "content": [
            {
                "SupplierContractID": "hhhh"
            }
        ],
        "resultMsg": ""
    }
    
    
# 推荐数据平台资产或设备
    http://<host>:<port>/venders-dp/recommend?projectId=Pj110108****&secret=***
    
post体：

    {
        "limit":{                        // 可选
            "skip":300,  // 跳过多少数据
            "count":50   // 查询跳过300条数据之后的50条 (按照关联性相似度排名)
        },
        "filter":{             // 选填, 模糊匹配信息点的值, 目前只支持一个信息点的查询
            "infoCode":"value" // 信息点编码:模糊匹配的值, 字符串模糊匹配, 其他类型直接匹配
        },
        "criteria":{
            "venderType":"supplier|insurer|maintainer",     // 必填, 当前推荐的厂商类型, 维修商结果是设备, 其他为资产
            "venderName":"***",                             // 必填, 当前推荐的厂商的名称
            "venderId":""                                   // 必填, 当前厂商id
        }
    }

返回:

    {
        "result": "success",
        "content":[
            {
                "id":"****",                 //资产或设备id
                "infos":{
                    "EquipLocalName":"",               // 本地名称
                    "EquipLocalId":"",               // 本地编码
                    "Brand":"",                   // 品牌
                    "Product":"",                 // 标牌名
                    "Specification":"",           // 型号
                    "MaintainDeadline":"",              // 合同截止日期
                    "MaintainPeriod":100                   // 保养周期
                }
            },........
        ],
        "resultMsg": ""
    }
    




    